Subject: [Sip] Contradiction in RC 3515 - SIP REFER Method

From: "Ian Elz (CV/ETL)" <[email-masked]>
Date: Fri, 8 Jun 2007 11:00:01 +0200

I have been looking at RFC3515 and have found the following:

Section 2.2 contains the table of headers supported in the REFER method
and contains the following:

      Header                    Where   REFER
      ...
      Expires                     R       o

Section 2.4.4 "Using SIP Events to Report the Results of the Reference"
contains the following paragraph:

   Notice that unlike SUBSCRIBE, the REFER transaction does not contain
   a duration for the subscription in either the request or the
   response.  The lifetime of the state being subscribed to is
   determined by the progress of the referenced request.  The duration
   of the subscription is chosen by the agent accepting the REFER and is
   communicated to the agent sending the REFER in the subscription's
   initial NOTIFY (using the Subscription-State expires header
   parameter).  Note that agents accepting REFER and not wishing to hold
   subscription state can terminate the subscription with this initial
   NOTIFY.

Which part of the RFC is correct ?

What happens if a REFER does contain an Expires header ? 

Should the Expire duration included in the REFER be used in preference
to the time which would be allocated by the agent receiving the REFER as
described in 2.4.4 ?

If the Expire duration is "0" is this equivalent to using the Refer-sub
header being set to false ? 

Ian Elz

Office: + 44 24 764 35256
gsm: +44 7801723668
[email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Gilad Shaham" <[email-masked]>
Date: Fri, 8 Jun 2007 10:52:50 +0100

Hi Ian,

Here is something, a bit old, but might hint an answer:

http://www1.ietf.org/mail-archive/web/sip/current/msg01917.html

Based on that and section 2.4.4, I would say that the intent was to give
no meaning to Expires in REFER. Section 2.2 might be something no one
noticed until now.

Gilad

________________________________

From: Ian Elz (CV/ETL) [mailto:[email-masked]] 
Sent: Friday, June 08, 2007 12:00 PM
To: [email-masked]; [email-masked]
Subject: [Sip] Contradiction in RC 3515 - SIP REFER Method

      Header                    Where   REFER 
      ... 
      Expires                     R       o 

Ian Elz

---

From: Robert Sparks <[email-masked]>
Date: Fri, 8 Jun 2007 06:48:46 -0700

And what I said in the message Gilad points to still holds.

RjS

On Jun 8, 2007, at 2:52 AM, Gilad Shaham wrote:

> Based on that and section 2.4.4, I would say that the intent was to  
> give no meaning to Expires in REFER. Section 2.2 might be something  
> no one noticed until now.
>
>
>
> Gilad
>
>
>
> Section 2.2 contains the table of headers supported in the REFER  
> method and contains the following:
>
>       Header                    Where   REFER
>       …
>       Expires                     R       o
>
> Section 2.4.4 "Using SIP Events to Report the Results of the  
> Reference" contains the following paragraph:
>
> Should the Expire duration included in the REFER be used in  
> preference to the time which would be allocated by the agent  
> receiving the REFER as described in 2.4.4 ?
>
> If the Expire duration is "0" is this equivalent to using the Refer- 
> sub header being set to false ?
>
>
>
> Ian Elz
>
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for new developments of core SIP